> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.sesametime.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a planned task for a project



## OpenAPI

````yaml POST /project/v1/planned-tasks
openapi: 3.0.0
info:
  description: ''
  version: 3.0.0
  title: Sesame Public API
servers:
  - url: https://api-{region}.sesametime.com
    variables:
      region:
        default: eu1
security: []
tags: []
paths:
  /project/v1/planned-tasks:
    post:
      tags:
        - Planned Tasks
      summary: Create a planned task for a project
      operationId: CreatePlannedTask
      requestBody:
        description: Planned task object that needs to be created
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                plannedTaskId:
                  type: string
                  format: uuid
                  description: >-
                    The id of the planned task, if not provided, it will be
                    generated automatically
                description:
                  type: string
                  description: The description of the planned task
                projectId:
                  type: string
                  format: uuid
                  description: The id of the project
                tagIds:
                  type: array
                  items:
                    type: string
                    format: uuid
                  description: Tags associated with the planned task
                startDate:
                  type: string
                  format: date
                  description: The start date of the planned task
                endDate:
                  type: string
                  format: date
                  description: The end date of the planned task
                startTime:
                  type: string
                  description: The start time of the planned task, can be null
                  example: '10:00'
                endTime:
                  type: string
                  description: The end time of the planned task, can be null
                  example: '10:00'
              required:
                - description
                - projectId
                - startDate
                - endDate
      responses:
        '200':
          description: Object
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````